import request from '@/config/axios'

export const getMenuListApi = (params: any) => {
  return request.get({ url: '/oms/menu/tree', params })
}

export const saveMenu = (data: any) => {
  return request.post({ url: '/oms/menu/save', data })
}

export const deleteMenu = (data: any) => {
  return request.post({ url: '/oms/menu/delete', data })
}

export const updateMenu = (data: any) => {
  return request.post({ url: '/oms/menu/update', data })
}
