import request from '@/config/axios'

export const getRoleListApi = (params: any) => {
  return request.get({ url: '/oms/role/list', params })
}

export const getRoleInfo = (params: any) => {
  return request.get({ url: `/oms/role/info/${params.id}`, params })
}

export const getRoleMenu = (params: any) => {
  return request.get({ url: `/oms/role/roleMenu/${params.id}`, params })
}

export const saveRole = (data: any) => {
  return request.post({ url: `/oms/role/save`, data })
}

export const updateRole = (data: any) => {
  return request.post({ url: `/oms/role/update`, data })
}

export const getRoleOptionsApi = () => {
  return request.get({ url: '/oms/role/items' })
}

export const deleteApi = (data: any) => {
  return request.post({ url: '/oms/role/delete', data })
}

export const saveAllocMenu = (data: any) => {
  return request.post({ url: '/oms/role/allocMenu', data })
}
