import request from '@/config/axios'

export const getListApi = (params: any) => {
  return request.get({ url: '/oms/dept/list', params })
}

export const saveApi = (data: any) => {
  return request.post({ url: '/oms/dept/save', data })
}
export const updateApi = (data: any) => {
  return request.post({ url: '/oms/dept/update', data })
}

export const deleteApi = (ids: string[] | number[]) => {
  return request.post({ url: '/oms/dept/delete', data: ids })
}

export const getOptionsApi = () => {
  return request.get({ url: '/oms/dept/items' })
}
