import request from '@/config/axios'

export const getListApi = (params: any) => {
  return request.get({ url: '/sys/region/list', params })
}

export const getInfoApi = (params: any) => {
  return request.get({ url: `/sys/region/info/${params.id}`, params })
}

export const saveApi = (data: any) => {
  return request.post({ url: `/sys/region/save`, data })
}

export const updateApi = (data: any) => {
  return request.post({ url: `/sys/region/update`, data })
}

export const deleteApi = (data: any) => {
  return request.post({ url: `/sys/region/delete`, data })
}
export const getRegionTree = () => {
  return request.get({ url: `/common/region/all` })
}
