import request from '@/config/axios'

export const getListApi = (params: any) => {
  return request.get({ url: '/oms/emp/list', params })
}

export const getInfoApi = (params: any) => {
  return request.get({ url: `/oms/emp/info/${params.id}`, params })
}

export const saveApi = (data: any) => {
  return request.post({ url: `/oms/emp/save`, data })
}

export const updateApi = (data: any) => {
  return request.post({ url: `/oms/emp/update`, data })
}

export const deleteApi = (data: any) => {
  return request.post({ url: `/oms/emp/delete`, data })
}

export const getUserOptions = () => {
  return request.get({ url: `/oms/emp/items` })
}
